//+------------------------------------------------------------------+
//|                                               TF-PriceTicker.mq4 |
//|                                                   Copyright 2023 |
//+------------------------------------------------------------------+
#property copyright "2023"
#property version   "1.00"

#property indicator_chart_window
  extern string note5 = "Display the price in what corner?";
  extern string note6 = "Upper left=0; Upper right=1";
  extern string note7 = "Lower left=2; Lower right=3";
  extern int    WhatCorner = 0;
  extern int    xAxis = 1000;
  extern int    yAxis = 0;
  extern string note3  =  "Font Size";
  extern int    FontSize = 17;
  extern string note4  =  "Font Type";
  extern string FontType = "Hemi Head 426" ; //"Comic Sans MS";

  extern string note1  =  "Change font colors automatically? True  =  Yes";
  extern bool   Bid_Ask_Colors  =  True;
  extern string note2  =  "Default Font Color";
  extern color  FontColor  =  Blue;
  extern color  FontColorUp  =  DarkTurquoise;  
  extern color  FontColorDn  =  OrangeRed; 


  string        symbol , tChartPeriod ;
  double        Old_Price, point;

int     digits, period, win, digits2, n, j, i, k;

//+------------------------------------------------------------------+

int init()
  {
   symbol       =  Symbol() ; 
   digits       =  Digits ;
   point        =  Point ;

   period       = Period() ;     
   tChartPeriod =  TimeFrameToString(period) ;   

   if(digits == 5 || digits == 3) { digits  = digits - 0 ; point = point * 10 ; } 
 
  
   return(0);
  }

//+------------------------------------------------------------------+

int deinit()
  {
  ObjectDelete("TF-PriceTicker"); 
 
  return(0);
  }

//+------------------------------------------------------------------+

int start()
  {
   if (Bid_Ask_Colors == True)
   {
    if (Bid > Old_Price) FontColor = FontColorUp;
    if (Bid < Old_Price) FontColor = FontColorDn;
    Old_Price = Bid;
   }
   
   string PriceTicker = tChartPeriod + " " +  symbol + " " + DoubleToStr(Bid, digits);
  
   ObjectCreate("TF-PriceTicker", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("TF-PriceTicker", PriceTicker , FontSize, FontType, FontColor);
   ObjectSet("TF-PriceTickerl", OBJPROP_CORNER, WhatCorner);
   ObjectSet("TF-PriceTicker", OBJPROP_XDISTANCE, xAxis);
   ObjectSet("TF-PriceTicker", OBJPROP_YDISTANCE, yAxis);
     return(0);
}

//+------------------------------------------------------------------+  

string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN";
   }
   return(tfs);
}





//+------------------------------------------------------------------+    